import { SourceFile, TransformerFactory } from 'typescript';
import { Resolver } from './create-resolver';
/**
 * @internal
 */
export declare const importQueryParam = "__mi";
/**
 * @internal
 */
export declare const importContextQueryParam = "__mi_ctx";
/**
 * Create source code transformer
 * @internal
 * @param cwd - working dir
 * @param resolve - dependencies resolver
 * @param file - target file
 * @param preloadList - list modules to preload
 */
export declare function createImportsTransformer(cwd: string, resolve: Resolver, file: string, preloadList: Array<string>): TransformerFactory<SourceFile>;
//# sourceMappingURL=create-imports-transformer.d.ts.map